%define debug_package %{nil}

%define prerelease 808e9038a20a9bda4017762270d05bb070bb6730
%define import_path github.com/mitchellh/goamz
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	An Amazon Library for Go
Name:		golang-mitchellh-goamz
Version:	0.20131119
Release:	%mkrel 10
License:	LGPLv3
Group:		Development/Other
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
This is a fork of https://launchpad.net/goamz that adds some missing API calls
to certain packages.

%prep
%setup -q -n goamz-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README.md
rm -f %{buildroot}%{gosrc}/CHANGES.md

%files
%doc LICENSE
%doc README.md
%doc CHANGES.md
%{gosrc}/*


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 0.20131119-10.mga9
+ Revision: 1825846
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20131119-9.mga8
+ Revision: 1490095
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20131119-8.mga7
+ Revision: 1261453
- Mageia 7 Mass Rebuild

* Wed Jul 20 2016 pterjan <pterjan> 0.20131119-7.mga6
+ Revision: 1042843
- Use gopath macro from golang package and make this package noarch

* Thu Feb 11 2016 umeabot <umeabot> 0.20131119-6.mga6
+ Revision: 954173
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.20131119-5.mga6
+ Revision: 893493
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.20131119-4.mga5
+ Revision: 743391
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20131119-3.mga5
+ Revision: 679869
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.20131119-2.mga4
+ Revision: 559430
+ rebuild (emptylog)

* Thu Nov 21 2013 thatsamguy <thatsamguy> 0.20131119-1.mga4
+ Revision: 552157
- update to latest release

* Fri Oct 25 2013 thatsamguy <thatsamguy> 0.20130919-1.mga4
+ Revision: 546838
- imported package golang-mitchellh-goamz

